%global debug_package %{nil}

Name: python-routes
Epoch: 100
Version: 2.5.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Routing Recognition and Generation Tools
License: MIT
URL: https://github.com/bbangert/routes/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Routes is a Python re-implementation of the Rails routes system for
mapping URL’s to Controllers/Actions and generating URL’s. Routes makes
it easy to create pretty and concise URL’s that are RESTful with little
effort.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-routes
Summary: Routing Recognition and Generation Tools
Requires: python3
Requires: python3-six
Requires: python3-repoze.lru >= 0.3
Provides: python3-routes = %{epoch}:%{version}-%{release}
Provides: python3dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(routes) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-routes
Routes is a Python re-implementation of the Rails routes system for
mapping URL’s to Controllers/Actions and generating URL’s. Routes makes
it easy to create pretty and concise URL’s that are RESTful with little
effort.

%files -n python%{python3_version_nodots}-routes
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-routes
Summary: Routing Recognition and Generation Tools
Requires: python3
Requires: python3-six
Requires: python3-repoze.lru >= 0.3
Provides: python3-routes = %{epoch}:%{version}-%{release}
Provides: python3dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(routes) = %{epoch}:%{version}-%{release}

%description -n python3-routes
Routes is a Python re-implementation of the Rails routes system for
mapping URL’s to Controllers/Actions and generating URL’s. Routes makes
it easy to create pretty and concise URL’s that are RESTful with little
effort.

%files -n python3-routes
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version})
%package -n python3-routes
Summary: Routing Recognition and Generation Tools
Requires: python3
Requires: python3-six
Requires: python3-repoze-lru >= 0.3
Provides: python3-routes = %{epoch}:%{version}-%{release}
Provides: python3dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(routes) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-routes = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(routes) = %{epoch}:%{version}-%{release}

%description -n python3-routes
Routes is a Python re-implementation of the Rails routes system for
mapping URL’s to Controllers/Actions and generating URL’s. Routes makes
it easy to create pretty and concise URL’s that are RESTful with little
effort.

%files -n python3-routes
%license LICENSE.txt
%{python3_sitelib}/*
%endif

%changelog
